package com.jtauber.pdf;

import java.io.IOException;
import java.io.PrintWriter;

public class PDFFont extends PDFObject {
	private String subtype, fontname, basefont, encoding;
	/**
	 * create a Root (/Catalog) object with the given number
	 */
	public PDFFont(int number, String fontname, String basefont, String encoding) {
		super(number);
		this.fontname = fontname;
		this.basefont = basefont;
		this.encoding = encoding;
	}
public String getName() {
	return this.fontname;
}
public String toPDF() {
		String p = this.number + " " + this.generation + " obj\n";
		p += "<< /Type /Font\n";
		p += "/Subtype /Type1\n";
		p += "/Name /"+ this.fontname + "\n";
		p += "/BaseFont /"+ this.basefont + "\n";
		p += "/Encoding /"+ this.encoding + " >>\n";
		p += "endobj\n";
		return p;
}
}