package com.jtauber.pdf;

import java.io.IOException;
import java.io.PrintWriter;

public class PDFRoot extends PDFObject {
	private PDFPages rootPages;
	/**
	 * create a Root (/Catalog) object with the given number
	 */
	public PDFRoot(int number) {
		super(number);
	}
	/**
	 * add given /Page object to the root /Pages object
	 */
	public void addPage(PDFPage page) {
		this.rootPages.addPage(page);
	}
	/**
	 * add given /Pages object
	 */
	public void setRootPages(PDFPages pages) {
		this.rootPages = pages;
	}
public String toPDF() {
		String p = this.number + " " + this.generation + " obj\n";
		p += "<< /Type /Catalog\n";
		p += "/Pages " + this.rootPages.referencePDF() + " >>\n";
		p += "endobj\n";
		return p;
}
}