package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class PageMasterOdd extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return false; }
		
		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new PageMasterOdd(propertyList, value);
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new PageMasterOdd(propertyList, "");
		}
	}

	private String value;
	
public PageMasterOdd(PropertyList propertyList, String explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public static Property.Maker maker() {
	return new PageMasterOdd.Maker();
}
public String string() {
	return this.value;
}
}