package com.jtauber.fop.layout;

import java.util.Vector;
import java.util.Enumeration;
						  
public class AreaContainer extends Area {

	public int x_start;
	public int y_start;
	
	public int margin_top;
	private int margin_bottom;
	private int margin_left;
	private int margin_right;
	
	private Page page;
	
	AreaContainer(int x_start, int y_start, int allocationWidth, int y_size, int margin_top, int margin_bottom, int margin_left, int margin_right) {
		this.x_start = x_start;
		this.y_start = y_start;
		this.allocationWidth = allocationWidth;
		this.y_size = y_size;
		this.margin_top = margin_top;
		this.margin_bottom = margin_bottom;
		this.margin_left = margin_left;
		this.margin_bottom = margin_bottom;
		this.currentHeight = margin_top;
		this.children = new Vector();
	}
	protected void setPage(Page page) {
		this.page = page;
	}
	public int spaceLeft() {
		return y_size - margin_bottom - currentHeight;
	}
}